Subject: bug#45348: 27.1; python-eldoc-setup-code uses obsolete python function

From: João Távora <[email-masked]>
Date: Fri, 25 Dec 2020 21:41:13 +0000

On Wed, Dec 23, 2020, 23:54 Tomas Nordin <[email-masked]> wrote:

>
> Meaning, if there is a docstring, we will not get the call signature,
> we get that only when there is no docstring. Personally I would prefer
> the call signature always, like in elisp. Then perhaps when doing C-c
> C-f (python-eldoc-at-point) show the (full) docstring. But that would be
> another bug-report I guess.
>

If you think you can program this, the latest ElDoc allows you to do just
that. See the docstrings of eldoc-documentation-functions,
eldoc-documentation-strategy, eldoc-display-functions and other variables
prefixed eldoc-echo-area. Also see the new interactive command M-x eldoc.

All of those things have been touched recently by me, and I'd appreciate
the feedback.

João

João